Subject: Re: PPC440EPx gpio driver

From: Stefan Roese <[email-masked]>
Date: Thu, 9 Oct 2008 16:23:22 +0200

On Wednesday 08 October 2008, Steven A. Falco wrote:
> I have begun writing a driver for the GPIOs of the PPC440EPx.  I just
> noticed that the PIKA Warp .dts references a device "ibm,gpio-440ep",
> but so far I have not been able to find a driver for that device.
>
> So, here is what I have so far (patch is off 2.6.27-rc9).  It is not
> sufficiently general to be merged at this point, but it does appear
> to function with my Sequoia board (only tested gpio input, so far).

Thanks for this driver.

I have "another" 4xx-gpiolib driver version in my patch queue. It's also not 
polished yet. That's the reason why I didn't post it till now. I'll post my 
driver version in a short while. It's tested on a 405EP and an 440EPx system 
and "should" work on all other 4xx based platforms.

The community then can decide which driver version should be polished for 
upstream merge...

Best regards,
Stefan